unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ComCtrls,
  StdCtrls, StrUtils;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit1: TEdit;
    tv: TTreeView;
    procedure Edit1Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}
function SearchTree (ATree : TTreeView; AValue:String; AVisible: Boolean): TTreeNode;
var
    Node: TTreeNode;
begin
  Result := nil;
  if ATree.Items.Count = 0 then Exit;
  Node := ATree.Items[0];
  while Node <> nil do
  begin
    if AnsiContainsStr(UpperCase(Node.Text),UpperCase(AValue)) then
    begin
      Result := Node;
      if AVisible then
      begin
        Result.MakeVisible;
        Result.Selected:=true;
      end;
      Break;
    end;
    Node := Node.GetNext;
  end;
end;

{ TForm1 }

procedure TForm1.Edit1Change(Sender: TObject);
begin
  SearchTree(tv,Edit1.Text,true);
end;

end.

